System.ServiceModel 4.0.0.0 System.Object

Use the class any time you need an in-memory SOAP fault that can be modified and used to create a SOAP message that contains the fault information.

Typically, the class is used when implementing the interface. In this case, indigo1 passes the object and you use it for your specific needs (for example, you can customize the or to log fault information). However, can be used anywhere custom SOAP fault message handling is required.

Represents an in-memory representation of a SOAP fault that can be passed to to create a message that contains a fault.

- Constructor
  4.0.0.0
  To be added.

  When called in a derived class, initializes a new instance of the class.

- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets or sets the value of the actor.

- Property
  4.0.0.0
  System.ServiceModel.FaultCode To be added. To be added.

  Gets the SOAP fault code.

- Method
  4.0.0.0
  System.ServiceModel.Channels.MessageFault `` `` To be added.

  Returns a new object that uses the specified and the specified maximum buffer size for the message buffer.

  A object with initial values from the passed in parameters.

  The specified to be used to create the object. The specified maximum buffer size for the message buffer
- Method
  4.0.0.0
  System.ServiceModel.Channels.MessageFault `` `` To be added.

  Returns a new object that uses the specified and objects.

  A object with initial values from the passed in parameters.

  The fault code for the fault message. The reason for the fault.
- Method
  4.0.0.0
  System.ServiceModel.Channels.MessageFault `` `` To be added.

  Returns a new object that uses the specified and fault reason.

  A object with initial values from the passed in parameters.

  The fault code for the fault message. The reason for the fault.
- Method
  4.0.0.0
  System.ServiceModel.Channels.MessageFault `` `` `` To be added.

  Returns a new object that uses the specified , , and detail object.

  A object with initial values from the passed in parameters.

  The fault code for the fault message. The reason for the fault. The fault detail object.
- Method
  4.0.0.0
  System.ServiceModel.Channels.MessageFault `` `` `` `` To be added. To be added.

  Returns a new object that uses the specified , , detail object, and objects.

  A object with initial values from the passed in parameters.

  The fault code for the fault message. The reason for the fault. The fault detail object.
- Method
  4.0.0.0
  System.ServiceModel.Channels.MessageFault `` `` `` `` `` To be added. To be added.

  Returns a new object that uses the specified , , detail object, , and actor.

  A object with initial values from the passed in parameters.

  The fault code for the fault message. The reason for the fault. The fault detail object. The value of the actor.
- Method
  4.0.0.0
  System.ServiceModel.Channels.MessageFault `` `` `` `` `` `` To be added. To be added.

  Returns a new object that uses the specified , , detail object, , actor, and node values.

  A object with initial values from the passed in parameters.

  The fault code for the fault message. The reason for the fault. The fault detail object. The value of the actor. The value of the node.
- Method
  4.0.0.0
  T To be added.

  Returns the detail object of the message fault.

  The detail object of the message fault.

  The type of the detail object.
- Method
  4.0.0.0
  T `` To be added. To be added.

  Returns the detail object that uses the specified .

  The detail object contained in the .

  The type of the detail object.
- Method
  4.0.0.0
  System.Xml.XmlDictionaryReader To be added.

  Returns an object that is positioned on the detail object of the .

  An object that is positioned on the detail object of the .

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether the has a detail object.

- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets the SOAP node containing information about which SOAP node on a message path cause the fault.

- Method
  4.0.0.0
  System.Xml.XmlDictionaryReader To be added.

  When called in a derived class, returns an object that is positioned on the detail object of the .

  An object that is positioned on the detail object of the .

- Method
  4.0.0.0
  System.Void `` ``

  Override the method to participate in the detail writing process. The default behavior is to call followed by .

  Invoked prior to writing the detail contents.

  The used to write the detail element. The version of the SOAP envelope to write.
- Method
  4.0.0.0
  System.Void ``

  The method is called subsequent to and prior to writing the end element.

  When overridden in a non-abstract derived class, writes the contents of the detail element.

  The used to write the detail element.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Writes the start element using the specified and SOAP envelope version.

  The used to write the detail element. The version of the SOAP envelope to write.
- Property
  4.0.0.0
  System.ServiceModel.FaultReason To be added. To be added.

  Gets a textual description of a SOAP fault.

- Method
  4.0.0.0
  System.Void `` `` To be added.

  Writes the message fault that uses the specified and SOAP envelope version.

  The used to write the message fault. The version of the SOAP envelope to write.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Writes the message fault that uses the specified and SOAP envelope version.

  The used to write the message fault. The version of the SOAP envelope to write.